---
title: Intl.DateTimeFormat.prototype.formatRange()
slug: Web/JavaScript/Reference/Global_Objects/Intl/DateTimeFormat/formatRange
tags:
  - JavaScript
  - Method
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>Intl.DateTimeFormat.prototype.formatRange()</code></strong> formats a date range in the most concise way based on the <strong><code>locale</code></strong> and <code><strong>options</strong></code> provided when instantiating {{jsxref("DateTimeFormat", "Intl.DateTimeFormat")}} object.</p>

<div>{{EmbedInteractiveExample("pages/js/intl-datetimeformat-prototype-formatrange.html", "taller")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="notranslate"><code>Intl.DateTimeFormat.prototype.formatRange(<var>startDate, endDate</var>)</code></pre>

<h2 id="Examples">Examples</h2>

<h3 id="Basic_formatRange_usage">Basic <code>formatRange</code> usage</h3>

<p>This method receives two {{jsxref("Date")}}s and formats the date range in the most concise way based on the <code>locale</code> and <code>options</code> provided when instantiating {{jsxref("DateTimeFormat", "Intl.DateTimeFormat")}}.</p>

<pre class="brush: js notranslate">let date1 = new Date(Date.UTC(2007, 0, 10, 10, 0, 0));
let date2 = new Date(Date.UTC(2007, 0, 10, 11, 0, 0));
let date3 = new Date(Date.UTC(2007, 0, 20, 10, 0, 0));
// &gt; 'Wed, 10 Jan 2007 10:00:00 GMT'
// &gt; 'Wed, 10 Jan 2007 11:00:00 GMT'
// &gt; 'Sat, 20 Jan 2007 10:00:00 GMT'

let fmt1 = new Intl.DateTimeFormat("en", {
    year: '2-digit',
    month: 'numeric',
    day: 'numeric',
    hour: 'numeric',
    minute: 'numeric'
});
console.log(fmt1.format(date1));
console.log(fmt1.formatRange(date1, date2));
console.log(fmt1.formatRange(date1, date3));
// &gt; '1/10/07, 10:00 AM'
// &gt; '1/10/07, 10:00 – 11:00 AM'
// &gt; '1/10/07, 10:00 AM – 1/20/07, 10:00 AM'

let fmt2 = new Intl.DateTimeFormat("en", {
    year: 'numeric',
    month: 'short',
    day: 'numeric'
});
console.log(fmt2.format(date1));
console.log(fmt2.formatRange(date1, date2));
console.log(fmt2.formatRange(date1, date3));
// &gt; 'Jan 10, 2007'
// &gt; 'Jan 10, 2007'
// &gt; 'Jan 10 – 20, 2007'
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Intl.DateTimeFormat.formatRange', '#sec-intl.datetimeformat.prototype.formatRange', 'formatRange()')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.Intl.DateTimeFormat.formatRange")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("DateTimeFormat", "Intl.DateTimeFormat")}}</li>
</ul>
